package edu.nyu.scps.drawable;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;


public class CortlandtView extends View {
    private Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);

    public CortlandtView(Context context) {
        super(context);

    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int width = getWidth();
        int height = getHeight();
        float radius = .3f * Math.min(width, height);

        //Origin at center of View, Y axis points up.
        canvas.translate(.5f * width, .5f * height);

        //We already know how to draw a circle or rectangle on a Canvas.
        //canvas.drawCircle(x,  y,  radius,  paint);
        //canvas.drawRectangle(left, top, right, bottom, paint);

        paint.setColor(Color.RED);
        TriangleDrawable redTriangle = new TriangleDrawable(.75f * radius, .75f * radius, radius, paint);
        redTriangle.draw(canvas);

        paint.setColor(Color.rgb(255, 128, 0));   //orange
        TriangleDrawable orangeTriangle = new TriangleDrawable(0f, 0f, radius, paint);
        orangeTriangle.draw(canvas);

        paint.setColor(Color.YELLOW);
        TriangleDrawable yellowTriangle = new TriangleDrawable(0f, 0f, radius, paint);
        canvas.translate(-.15f * height, -.35f * height);
        canvas.scale(.5f, .5f);
        canvas.rotate(60);   //degrees clockwise
        yellowTriangle.draw(canvas);
    }

}
